public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/lean/
Date: Thu, 19 Sep 2024 22:01:43 +0000 (UTC)	[thread overview]
Message-ID: <1726783299.d88a1ae9ef4b750d5fc037faf997dd5c55a75500.xgqt@gentoo> (raw)

commit:     d88a1ae9ef4b750d5fc037faf997dd5c55a75500
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 19 22:00:38 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Sep 19 22:01:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d88a1ae9

sci-mathematics/lean: bump to 4.11.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/lean/Manifest           |  1 +
 sci-mathematics/lean/lean-4.11.0.ebuild | 81 +++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sci-mathematics/lean/Manifest b/sci-mathematics/lean/Manifest
index 9354c00ca642..0a4a177afa1f 100644
--- a/sci-mathematics/lean/Manifest
+++ b/sci-mathematics/lean/Manifest
@@ -1,2 +1,3 @@
 DIST lean-3.51.1.tar.gz 1918894 BLAKE2B 9a240fe73193794a57001582c0623052cfc1c08ef3b155cac2d9dfc029202cb79b85e844fdf068e454498a35522ec3e18330da8c644bba3c6f708cbde04816f7 SHA512 dccdf6c3fbcd98115e62b9944645af6a2ce21412d63baa9565871807862e8d83cc6f29d1fb687f19b802240a5f9c019443caa00412ecfabe621744dff900e3ee
+DIST lean-4.11.0.tar.gz 25790812 BLAKE2B d9a4eb15199f81c6757acf35fb17c795bb9d69158c7e7deb11d98a45bebf569dcda5f7733b2effd2be0eea879a6c7c24b270d97159e5898215e82e853320918c SHA512 2314659910b4d872c4ae0dda648a9cab9e1cc44cd4c55486a494b65b20fdae236ab9db99a42d7fb1a80030e300e95606065ee7dd27578b12a4c47fc8c102e2bb
 DIST lean-4.2.0.tar.gz 16382466 BLAKE2B 3a8770d92ae89041f3e12089c3bb9171a993e8a1c702162925b569e13ed8d8819b3e9aa3c00e314a80a118ff8e4b18fb6df8b8a0e85a21fcb1daa5c0bfc29d4f SHA512 b0bd91f39319c1c6fd6851732d9dcb8758734500abc8faf0648c03582a81d51f2d942fa5deecedf81116b894d0b65e93eccab557bf155e69d65bda83eccaf7bb

diff --git a/sci-mathematics/lean/lean-4.11.0.ebuild b/sci-mathematics/lean/lean-4.11.0.ebuild
new file mode 100644
index 000000000000..88456a89f156
--- /dev/null
+++ b/sci-mathematics/lean/lean-4.11.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MAJOR="$(ver_cut 1)"
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit cmake flag-o-matic python-any-r1
+
+DESCRIPTION="The Lean Theorem Prover"
+HOMEPAGE="https://leanprover-community.github.io/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/leanprover/${PN}${MAJOR}.git"
+else
+	SRC_URI="https://github.com/leanprover/${PN}${MAJOR}/archive/refs/tags/v${PV/_/-}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}/${PN}${MAJOR}-${PV/_/-}"
+
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0/${MAJOR}"
+IUSE="debug source"
+
+RDEPEND="
+	dev-libs/gmp:=
+"
+DEPEND="
+	${RDEPEND}
+"
+BDEPEND="
+	${PYTHON_DEPS}
+"
+
+# Built by lean's build tool.
+QA_FLAGS_IGNORED="usr/lib/lean/libInit_shared.so"
+
+pkg_setup() {
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	filter-lto
+
+	sed -e "s|-O[23]|${CFLAGS}|g" -i src/CMakeLists.txt || die
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local CMAKE_BUILD_TYPE
+
+	if use debug ; then
+		CMAKE_BUILD_TYPE="Debug"
+	else
+		CMAKE_BUILD_TYPE="Release"
+	fi
+
+	local -a mycmakeargs=(
+		-DLEAN_EXTRA_CXX_FLAGS="${CXXFLAGS}"
+		-DLEAN_EXTRA_LINKER_FLAGS="${LDFLAGS}"
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	rm "${ED}/usr/LICENSE"* || die
+
+	if ! use source ; then
+		rm -r "${ED}/usr/src" || die
+	fi
+}


             reply	other threads:[~2024-09-19 22:01 UTC|newest]

Thread overview: 64+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-19 22:01 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-19  7:32 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/lean/ Arthur Zamarin
2025-01-02 23:10 Maciej Barć
2025-01-02 21:49 Maciej Barć
2025-01-02 21:49 Maciej Barć
2024-12-14 15:58 Sam James
2024-09-19 22:01 Maciej Barć
2024-01-18 17:25 Sam James
2024-01-15 21:20 Maciej Barć
2023-11-30 16:54 Maciej Barć
2023-10-26 13:13 Maciej Barć
2023-10-26 13:13 Maciej Barć
2023-10-07 14:57 Maciej Barć
2023-10-07 14:57 Maciej Barć
2023-10-07 14:57 Maciej Barć
2023-08-15 15:45 Arthur Zamarin
2023-05-26  7:15 Sam James
2023-05-24 23:29 Maciej Barć
2023-05-17 20:45 Maciej Barć
2023-04-18 13:55 Maciej Barć
2023-04-18 13:55 Maciej Barć
2022-12-27  2:21 Maciej Barć
2022-12-27  2:21 Maciej Barć
2022-12-24  2:47 Maciej Barć
2022-12-24  2:47 Maciej Barć
2022-12-21 23:52 Sam James
2022-12-21 23:49 Maciej Barć
2022-12-15  8:41 Maciej Barć
2022-12-15  8:41 Maciej Barć
2022-12-15  8:41 Maciej Barć
2022-11-18 22:15 Maciej Barć
2022-11-12  5:19 Maciej Barć
2022-11-12  5:19 Maciej Barć
2022-08-30 14:35 Maciej Barć
2022-08-30 14:35 Maciej Barć
2022-08-26  0:32 Maciej Barć
2022-08-26  0:32 Maciej Barć
2022-08-26  0:32 Maciej Barć
2022-08-09  0:57 Maciej Barć
2022-08-09  0:57 Maciej Barć
2022-08-02 21:42 Maciej Barć
2022-07-14 10:05 Maciej Barć
2022-07-14 10:05 Maciej Barć
2022-06-27 14:50 Maciej Barć
2022-06-27 14:50 Maciej Barć
2022-05-18 19:29 Maciej Barć
2022-05-18 19:29 Maciej Barć
2022-03-27  1:52 Maciej Barć
2022-03-27  1:52 Maciej Barć
2022-03-26 19:47 Agostino Sarubbo
2022-03-18 19:38 Maciej Barć
2022-03-12 10:17 Maciej Barć
2022-03-12 10:11 Maciej Barć
2022-02-22 18:34 Maciej Barć
2022-02-22 18:34 Maciej Barć
2022-02-22 18:34 Maciej Barć
2022-02-08 17:21 Maciej Barć
2022-02-08 17:21 Maciej Barć
2022-01-30 19:21 Maciej Barć
2022-01-08  3:02 Maciej Barć
2021-12-25 20:46 Maciej Barć
2021-12-04  2:36 Maciej Barć
2021-11-26 14:16 Maciej Barć
2021-11-26 14:16 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1726783299.d88a1ae9ef4b750d5fc037faf997dd5c55a75500.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox